<?php
class SettingsEntity Extends SettingsRepository{
    private $options = array();
    
    public function __construct(){
        $this->setOptions($this->getListSettings());
    }
    
    public function setOptions($options){
        $this->options = $options;
    }
    
    public function _get($setting){
        if(isset($this->options[$setting])){
            return $this->options[$setting];
        }
        return null;
    }
}